markeridx_param Struct Reference

Marker index parameters. More...

`#include <mhixbox_manager.h>`

## Data Fields

Byte2_t | code
| marker code
Byte2_t | num_remain
| remaining number of the same marker index segments listed immediately
OPJ_OFF_T | offset
| offset relative to the start of the
Byte2_t | length
| codestream ( including the length
struct markeridx_param * | next
| pointer to the next markeridx

## Detailed Description

Marker index parameters.

## Field Documentation

## code

Byte2_t markeridx_param::code

marker code

Referenced by gene_mhixbox(), print_markeridx(), print_mhixbox(), search_markeridx(), set_CODmkrdata(), and set_SIZmkrdata().

## length

Byte2_t markeridx_param::length

codestream ( including the length

parameter but not the marker itself) marker segment length

Referenced by gene_mhixbox(), print_markeridx(), print_mhixbox(), set_CODmkrdata(), and set_SIZmkrdata().

## next

struct markeridx_param* markeridx_param::next

pointer to the next markeridx

Referenced by delete_mhixbox(), gene_mhixbox(), print_mhixbox(), and search_markeridx().

## num_remain

Byte2_t markeridx_param::num_remain

remaining number of the same marker index segments listed immediately

Referenced by gene_mhixbox(), print_markeridx(), and print_mhixbox().

## offset

OPJ_OFF_T markeridx_param::offset

offset relative to the start of the

Referenced by gene_mhixbox(), print_markeridx(), print_mhixbox(), set_CODmkrdata(), and set_SIZmkrdata().

The documentation for this struct was generated from the following file:

- mhixbox_manager.h